$ ->

  if ($('#session-reports-viewer-page').length > 0)
  
    $('.disabled').click (event) ->
      return false
    
    $('.show-session-report-btn').click (event) ->
      reportContent = $(event.target).data('pdf-report')
      $('.report-iframe').attr('src',"data:application/pdf;base64," + reportContent)
      $('#session-report-viewer-modal').modal()
    